Subject: Re: [PATCH v2 3/3] meson: add rule to run 'git clang-format'

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 2 Jul 2025 04:54:49 +0200

On Tue, Jul 01, 2025 at 11:12:16AM -0400, Karthik Nayak wrote:
> Toon Claes <[email-masked]> writes:
> > Karthik Nayak <[email-masked]> writes:
> >> diff --git a/meson.build b/meson.build
> >> index 7fea4a34d6..20ce0525a1 100644
> >> --- a/meson.build
> >> +++ b/meson.build
> >> @@ -2144,6 +2144,18 @@ if headers_to_check.length() != 0 and compiler.get_argument_syntax() == 'gcc'
> >>    alias_target('check-headers', hdr_check)
> >>  endif
> >>
> >> +git_clang_format = find_program('git-clang-format', required: false)
> >
> > I think we should include `native: true` as well.
> >
> 
> Does it really matter here? I must admit I don't understand the
> repercussions here.

It doesn't really, as `native: true` is the default. But we explicitly
say whether we want native or non-native binaries for all the other
calls to `find_program()` to make it more obvious, so I think it would
be a sensible addition here.

Patrick